.TH cvm-sql 7
.SH NAME
cvm-sql \- CVM SQL Framework
.SH QUERY SUBSTITUTION
.I $VAR
and
.I ${VAR}
are replaced with the
.B quoted
value of the environment variable named
.IR VAR .
Use the second form when
.I VAR
contains anything other than alpha-numeric or underscore (_) characters.
Do not include quotes in the query.
The variables
.I account
and
.I domain
contain the account and domain names given by the CVM client.
.I $$
is replaced with a single dollar sign.
.SH QUERY RESULTS
The query must produce the following fields exactly in order.
All required fields must not be null or empty.
.TP
1.
Password, encrypted with
.BR crypt (3)
(required)
.TP
2.
Actual account name (required)
.TP
3.
User ID (integer) (required)
.TP
4.
Group ID (integer) (required)
.TP
5.
Directory (required)
.TP
6.
Real name (optional)
.TP
7.
Login shell (optional)
.TP
8.
Group name (optional)
.TP
9.
Domain name (optional)
.TP
10.
System account name (optional)
.TP
11.
System account directory (optional)
.TP
12.
Mailbox path (optional)
.SH DEFAULT QUERY
SELECT password, username, userid, groupid, directory, realname, shell,
groupname, domain, sys_username, sys_directory FROM accounts WHERE
username=$account AND domain=$domain
.SH SEE ALSO
cvm-mysql(8),
cvm-pgsql(8),
cvm-pwfile(8),
cvm-qmail(8),
cvm-unix(8),
cvm-vmailmgr(8),
cvm-benchclient(8),
cvm-checkpassword(8),
cvm-testclient(8)

 http://untroubled.org/cvm/cvm.html
